Bug 63292 - ether_ntohost causes segfault
ether_ntohost causes segfault
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: glibc (Show other bugs)
skipjack-beta2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-11 23:44 EDT by Mark Salter
Modified: 2016-11-24 10:21 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-11 23:44:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Salter 2002-04-11 23:44:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
The ether_ntohost() function causes a segfault. It looks like it is being
miscompiled. Looking at the source, it calls __nss_ethers_lookup(), but when
disassembled in gdb, it is actually calling __nss_passwd_lookup().

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Run "tcpdump -i eth0" or any app calling ether_ntohost().
2.
3.
	

Actual Results:  segfault

Expected Results:  No segfault.

Additional info:

This app demonstrates problem:

main()
{
    unsigned char addr[6] = { 0xff, 0xff, 0xff, 0xff, 0xff, 0xff };
    char name[256];
    ether_ntohost(name, addr);
}
Comment 1 Jakub Jelinek 2002-04-12 04:02:14 EDT
This was fixed in glibc-2.2.5-32.

Note You need to log in before you can comment on or make changes to this bug.